Loading...
Searching...
No Matches
libdar::signator Struct Reference
API

signator status More...

`#include <crypto.hpp>`

## Public Types

enum | result_t { good , bad , unknown_key , error }
enum | key_validity_t { valid , expired , revoked }

## Public Member Functions

bool | operator< (const signator &ref) const
bool | operator== (const signator &ref) const

## Public Attributes

key_validity_t | key_validity
result_t | result
std::string | fingerprint
datetime | signing_date
datetime | signature_expiration_date

## Detailed Description

signator status

Definition at line 62 of file crypto.hpp.

## Member Enumeration Documentation

## key_validity_t

enum libdar::signator::key_validity_t

Definition at line 71 of file crypto.hpp.

## result_t

enum libdar::signator::result_t

Definition at line 64 of file crypto.hpp.

## Member Function Documentation

## operator<()

bool libdar::signator::operator< | ( | const signator & | ref | ) | const

inline

Definition at line 82 of file crypto.hpp.

## operator==()

bool libdar::signator::operator== | ( | const signator & | ref | ) | const

inline

Definition at line 83 of file crypto.hpp.

## Member Data Documentation

## fingerprint

std::string libdar::signator::fingerprint

Definition at line 79 of file crypto.hpp.

## key_validity

key_validity_t libdar::signator::key_validity

Definition at line 77 of file crypto.hpp.

## result

result_t libdar::signator::result

Definition at line 78 of file crypto.hpp.

## signature_expiration_date

datetime libdar::signator::signature_expiration_date

Definition at line 81 of file crypto.hpp.

## signing_date

datetime libdar::signator::signing_date

Definition at line 80 of file crypto.hpp.

The documentation for this struct was generated from the following file:

- crypto.hpp